Package org.kapott.hbci.sepa.jaxb.camt_052_001_04

## Class GenericOrganisationIdentification1

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_04.GenericOrganisationIdentification1

    public class GenericOrganisationIdentification1
    extends java.lang.Object

Java class for GenericOrganisationIdentification1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GenericOrganisationIdentification1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Id" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max35Text"/>
             <element name="SchmeNm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}OrganisationIdentificationSchemeName1Choice" minOccurs="0"/>
             <element name="Issr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max35Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `id`
`protected java.lang.String` `issr`
`protected OrganisationIdentificationSchemeName1Choice` `schmeNm`

### Constructor Summary

Constructors
`GenericOrganisationIdentification1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getId()` Gets the value of the id property.
`java.lang.String` `getIssr()` Gets the value of the issr property.
`OrganisationIdentificationSchemeName1Choice` `getSchmeNm()` Gets the value of the schmeNm property.
`void` `setId​(java.lang.String value)` Sets the value of the id property.
`void` `setIssr​(java.lang.String value)` Sets the value of the issr property.
`void` `setSchmeNm​(OrganisationIdentificationSchemeName1Choice value)` Sets the value of the schmeNm property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### id

    protected java.lang.String id

#### schmeNm

    protected OrganisationIdentificationSchemeName1Choice schmeNm

#### issr

    protected java.lang.String issr

### Constructor Detail

#### GenericOrganisationIdentification1

    public GenericOrganisationIdentification1()

### Method Detail

#### getId

    public java.lang.String getId()

Gets the value of the id property.

Returns:
  possible object is `String`

#### setId

    public void setId​(java.lang.String value)

Sets the value of the id property.

Parameters:
  `value` - allowed object is `String`

#### getSchmeNm

    public OrganisationIdentificationSchemeName1Choice getSchmeNm()

Gets the value of the schmeNm property.

Returns:
  possible object is `OrganisationIdentificationSchemeName1Choice`

#### setSchmeNm

    public void setSchmeNm​(OrganisationIdentificationSchemeName1Choice value)

Sets the value of the schmeNm property.

Parameters:
  `value` - allowed object is `OrganisationIdentificationSchemeName1Choice`

#### getIssr

    public java.lang.String getIssr()

Gets the value of the issr property.

Returns:
  possible object is `String`

#### setIssr

    public void setIssr​(java.lang.String value)

Sets the value of the issr property.

Parameters:
  `value` - allowed object is `String`